Loading...
Searching...
No Matches
BALL::RingPerceptionProcessor::PathMessage_ Struct Reference

`#include <BALL/QSAR/ringPerceptionProcessor.h>`

## Public Member Functions

void | push (EdgeItem< Index, Index > *bond, TNode_ *node)

## Public Attributes

BitVector | beep
TNode_ * | nfirst
| pointer to the first node this message was sent from
TNode_ * | nlast
EdgeItem< Index, Index > * | efirst
| pointer to the first edge of the message path

## Detailed Description

Definition at line 120 of file ringPerceptionProcessor.h.

## Member Function Documentation

## push()

void BALL::RingPerceptionProcessor::PathMessage_::push | ( | EdgeItem< Index, Index > * | bond,
|  | TNode_ * | node )

## Member Data Documentation

## beep

BitVector BALL::RingPerceptionProcessor::PathMessage_::beep

Definition at line 125 of file ringPerceptionProcessor.h.

## efirst

EdgeItem<Index, Index>* BALL::RingPerceptionProcessor::PathMessage_::efirst

pointer to the first edge of the message path

Definition at line 134 of file ringPerceptionProcessor.h.

## nfirst

TNode_* BALL::RingPerceptionProcessor::PathMessage_::nfirst

pointer to the first node this message was sent from

Definition at line 128 of file ringPerceptionProcessor.h.

## nlast

TNode_* BALL::RingPerceptionProcessor::PathMessage_::nlast

Definition at line 131 of file ringPerceptionProcessor.h.